<%@ Page Language="C#" AutoEventWireup="true" CodeFile="general.aspx.cs" Inherits="CMSDesk_Content_Properties_general"
    Theme="Default" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Properties - General</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
            width: 100%;
            overflow: hidden;
        }
    </style>
</head>
<body class="VerticalTabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="VerticalTabsPageBody">
            <asp:Panel runat="server" ID="pnlTab" SkinID="VerticalTabsPageContent">
                <asp:Panel runat="server" ID="pnlMenu" SkinID="ContentEditMenu">
                    <table>
                        <tr>
                            <td>
                                <asp:LinkButton ID="lnkSave" runat="server" OnClick="lnkSave_Click" CssClass="MenuItemEdit">
                                    <asp:Image ID="imgSave" runat="server" />
                                    <%=mSave%>
                                </asp:LinkButton>
                            </td>
                        </tr>
                    </table>
                </asp:Panel>
                <asp:Panel ID="pnlContent" runat="server" SkinID="PageContent">
                    <asp:Label runat="server" ID="lblError" ForeColor="red" EnableViewState="false" /><asp:Label
                        runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false" />
                    <asp:Panel ID="pnlPath" runat="server" SkinID="NodePermissions" GroupingText="Path">
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblAlias" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtAlias" runat="server" SkinID="TextboxField"></asp:TextBox>
                                    <asp:RequiredFieldValidator ID="valAlias" runat="server" ControlToValidate="txtAlias"
                                        SkinID="ContentValidator" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel" valign="top">
                                    <asp:Label ID="lblUrlPath" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:TextBox ID="txtUrlPath" runat="server" SkinID="TextboxField"></asp:TextBox><br />
                                    <asp:CheckBox ID="chkCustomUrl" runat="server" OnCheckedChanged="chkCustomUrl_CheckedChanged"
                                        AutoPostBack="true" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <br />
                    <asp:Panel ID="pnlOther" runat="server" SkinID="NodePermissions" GroupingText="Other properties">
                        <table>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblNameTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblName" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblTypeTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblType" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCreatedByTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblCreatedBy" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCreatedTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblCreated" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblLastModifiedByTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblLastModifiedBy" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblLastModifiedTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblLastModified" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblNodeIDTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblNodeID" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblGUIDTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblGUID" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblAliasPathTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblAliasPath" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblCultureTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblCulture" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblNamePathTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:Label ID="lblNamePath" runat="server" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label ID="lblLiveURLTitle" runat="server" EnableViewState="false" />
                                </td>
                                <td>
                                    <asp:HyperLink ID="lnkLiveURL" runat="server" Target="_blank" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                    <br />
                    <asp:Panel ID="pnlCache" runat="server" SkinID="NodePermissions" GroupingText="Cache">
                        <asp:RadioButton GroupName="useCache" ID="radInherit" runat="server" AutoPostBack="True" OnCheckedChanged="radInherit_CheckedChanged"  /><br />
                        <asp:RadioButton GroupName="useCache" ID="radYes" runat="server" AutoPostBack="True" OnCheckedChanged="radInherit_CheckedChanged"  /><br />
                        <table style="width: 100%;" cellpadding = "0" cellspacing = "0">
                            <tr>
                                <td style="width:20px;">
                                    
                                </td>
                                <td style="text-align: left;">
                                    <asp:Label ID="lblCacheMinutes" runat="server" EnableViewState="False" />
                                    <asp:TextBox ID="txtCacheMinutes" runat="server" Width="60" /><br />
                                </td>
                            </tr>
                        </table>
                        <asp:RadioButton GroupName="useCache" ID="radNo" runat="server" AutoPostBack="True" OnCheckedChanged="radInherit_CheckedChanged"  /><br />
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
