using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using CMS.GlobalHelper;
using CMS.DataEngine;


public partial class CMSDesk_MyDesk_leftmenu : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.treeMyDesk.LineImagesFolder = "~/App_Themes/" + this.Page.Theme + "/Images/Tree";
        if (CultureHelper.IsUICultureRTL())
        {
            this.treeMyDesk.LineImagesFolder += "/RTL";
        }
        this.treeMyDesk.ImageSet = TreeViewImageSet.Custom;
        
        // Fill in the tree
        this.treeMyDesk.Nodes.Clear();

        string imagesUrl = "~/App_Themes/" + this.Theme + "/Images/CMSDesk/MyDesk/";


        TreeNode rootNode = new TreeNode(ResHelper.GetString("MyDesk.Root"));
        rootNode.Expanded = true;
        rootNode.NavigateUrl = "#";
        treeMyDesk.Nodes.Add(rootNode);

        TreeNode newNode = new TreeNode();
        newNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent(" + "'Recent/recent.aspx'" + ", this);\">" + ResHelper.GetString("MyDesk.Recent") + "</span>";
        newNode.NavigateUrl = "#";
        newNode.ImageUrl = imagesUrl + "recent.gif";
        rootNode.ChildNodes.Add(newNode);

        newNode = new TreeNode();
        newNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent(" + "'WaitingForApproval/WaitingForApproval.aspx'" + ", this);\">" + ResHelper.GetString("MyDesk.WaitingForApprovalMenu") + "</span>";
        newNode.NavigateUrl = "#";
        newNode.ImageUrl = imagesUrl + "WaitingForApproval.gif";
        rootNode.ChildNodes.Add(newNode);

        newNode = new TreeNode();
        newNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent(" + "'CheckedOut/CheckedOut.aspx'" + ", this);\">" + ResHelper.GetString("MyDesk.CheckedOut") + "</span>";
        newNode.NavigateUrl = "#";
        newNode.ImageUrl = imagesUrl + "checkedout.gif";
        rootNode.ChildNodes.Add(newNode);

        newNode = new TreeNode();
        newNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent(" + "'RecycleBin/RecycleBin.aspx'" + ", this);\">" + ResHelper.GetString("MyDesk.RecycleBin") + "</span>";
        newNode.NavigateUrl = "#";
        newNode.ImageUrl = imagesUrl + "recyclebin.gif";
        rootNode.ChildNodes.Add(newNode);
        
        newNode = new TreeNode();
        newNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent(" + "'MyProfile/MyProfile.aspx'" + ", this);\">" + ResHelper.GetString("MyDesk.MyProfile") + "</span>";
        newNode.NavigateUrl = "#";
        newNode.ImageUrl = imagesUrl + "myprofile.gif";
        rootNode.ChildNodes.Add(newNode);

        newNode = new TreeNode();
        newNode.Text = "<span class=\"ContentTreeItem\" onclick=\"ShowDesktopContent(" + "'MyProfile/Changepassword.aspx'" + ", this);\">" + ResHelper.GetString("MyDesk.MyProfile.ChangePassword") + "</span>";
        newNode.NavigateUrl = "#";
        newNode.ImageUrl = imagesUrl + "password.gif";
        rootNode.ChildNodes.Add(newNode);
    }

}
