<%@ Page Language="C#" AutoEventWireup="true" CodeFile="DocumentType_Edit_Transformation_Edit.aspx.cs"
    Inherits="SiteManager_Development_DocumentTypes_DocumentType_Edit_Transformation_Edit"
    ValidateRequest="false" Theme="Default" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Dcument Type Edit - Transformation Edit</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="TabsBody <%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel runat="server" ID="pnlBody" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel runat="server" ID="pnlTab" SkinID="TabsPageContent">
                    <asp:Panel ID="PanelTitle" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle runat="server" ID="PageTitle" />
                    </asp:Panel>
                    <asp:Panel runat="server" ID="pnlPageContent" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                            Visible="false" />
                        <table style="width: 100%">
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTransformationName" /></td>
                                <td>
                                    <asp:TextBox runat="server" ID="tbTransformationName" SkinID="TextboxField" MaxLength="100" />
                                    <asp:RequiredFieldValidator ID="RequiredFieldValidatorTransformationName" runat="server"
                                        ControlToValidate="tbTransformationName" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTransformationType" /></td>
                                <td>
                                    <asp:DropDownList runat="server" ID="drpTransformationType" AutoPostBack="true" OnSelectedIndexChanged="drpTransformationType_SelectedIndexChanged">
                                        <asp:ListItem Selected="True" Value="Ascx">ASCX</asp:ListItem>
                                        <asp:ListItem Value="Xslt">XSLT</asp:ListItem>
                                    </asp:DropDownList></td>
                            </tr>
                            <tr>
                                <td style="vertical-align: text-top" class="FieldLabel">
                                    <asp:Label runat="server" ID="lblTransformationCode" />
                                </td>
                                <td style="width: 85%">
                                    <asp:Button runat="server" ID="btnDefaultTransformation" OnClick="btnDefaultTransformation_Click"
                                        CausesValidation="false" />
                                    <br />
                                    <asp:Literal runat="server" ID="ltlDirectives" EnableViewState="false" />
                                    <cc1:ExtendedTextArea runat="server" ID="tbTransformationText" TextMode="multiline"  CssClass="TextAreaHigh"
                                        Width="99%" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    &nbsp;</td>
                                <td>
                                    <br />
                                    <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" SkinID="ContentButton" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    &nbsp;</td>
                                <td>
                                    <br />
                                    <br />
                                    <asp:Label ID="lblHelpHeader" runat="server" SkinID="information"></asp:Label>
                                    <asp:Table ID="tblHelp" runat="server" EnableViewState="false" GridLines="Horizontal"
                                        CellPadding="3" CellSpacing="0">
                                    </asp:Table>
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
