<%@ Page Language="C#" AutoEventWireup="true" CodeFile="EmailTemplate_Edit.aspx.cs"
    Inherits="SiteManager_Development_EmailTemplates_EmailTemplate_Edit" Theme="Default"
    ValidateRequest="false" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Email template - Properties</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height:100%; 
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="PanelBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="PanelTitle" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="pageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel ID="PanelUsers" runat="server" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top; width: 100%">
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblDisplayName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtDisplayName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorDisplayName" runat="server"
                                EnableViewState="false" ControlToValidate="txtDisplayName" SkinID="ContentValidator"
                                Display="dynamic" />
                        </td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblCodeName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtCodeName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="RequiredFieldValidatorCodeName" runat="server" EnableViewState="false"
                                ControlToValidate="txtCodeName" SkinID="ContentValidator" Display="dynamic" />
                        </td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top; padding-top: 5px" class="FieldLabel">
                            <asp:Label runat="server" ID="lblText" EnableViewState="false" /></td>
                        <td style="width: 80%">
                            <cc1:ExtendedTextArea ID="txtText" runat="server" TextMode="MultiLine"  CssClass="TextAreaLarge"
                                Width="98%" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <br />
                            <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                SkinID="ContentButton" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
