using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;
using CMS.SiteProvider;
using CMS.PortalEngine;

public partial class NewSite_ChooseMasterTemplate : System.Web.UI.UserControl
{
    public int MasterTemplateId
    {
        get { return Convert.ToInt32(selectedTemplateId.Value); }
        set { selectedTemplateId.Value = value.ToString(); }
    }

    protected void Page_Load(object sender, EventArgs e)
    {
        this.ltlScript.Text += ScriptHelper.GetScript("var selectedTemplateId = document.getElementById('" + selectedTemplateId.ClientID + "');");

        lblMasterTemplateCaption.Text = ResHelper.GetString("NewSite_ChooseMasterTemplate.MasterTemplateCaption");
        BindData();
    }
    
    public void BindData()
    {
        DataSet ds = PageTemplateInfoProvider.GetAllMasterTemplates();
        if (ds != null)
        {
            dlMasterTemplates.DataSource = ds;
            dlMasterTemplates.DataBind();
        }
    }
}
