using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.GlobalHelper;

public partial class CMSWebParts_Designers_LargeTextAreaDesigner : SiteManagerPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        
        string mJavaScript = "";
        string mId = "";

        // Get id of textbox
        if (this.Page.Request.QueryString["areaid"] != null && this.Page.Request.QueryString["areaid"] != "")
        {
            mId = this.Page.Request.QueryString["areaid"];
        }

        btnOK.Text = ResHelper.GetString("LargeTextArea.btnOK");
        btnCancel.Text = ResHelper.GetString("LargeTextArea.btnCancel");


        btnOK.OnClientClick += "Set(); return false;";
        btnCancel.OnClientClick += "window.close(); return false;";

        mJavaScript += "function Load() { document.getElementById('" + txtLargeArea.ID + "').value = wopener.GetAreaValue('" + mId + "'); return false;}";
        mJavaScript += " function Set() { wopener.SetAreaValue('" + mId + "',document.getElementById('" + txtLargeArea.ID + "').value); window.close(); }";

        this.Page.ClientScript.RegisterClientScriptBlock(typeof(string), "AreaDesignerGlobal", ScriptHelper.GetScript(mJavaScript));
    }

}
