using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

using CMS.SiteProvider;
using CMS.CMSHelper;
using CMS.GlobalHelper;

public partial class CMSDesk_Content_SelectImageDialog_Tree : CMSDeskPage
{
    protected void Page_Load(object sender, EventArgs e)
    {
        this.treeContent.NodeTextTemplate = "<span class=\"ContentTreeItem\" onclick=\"RefreshContent(##NODEID##, this, '##NODENAMEJAVA##'); return false;\">##NODENAME##</span>";
        this.treeContent.SiteName = SiteInfoProvider.GetSiteInfo(ValidationHelper.GetInteger(Request.QueryString["siteid"], CMSContext.CurrentSite.SiteID)).SiteName;

        string contentUrl = "content.aspx" + Request.Url.Query;
        if ( contentUrl.IndexOf("?") >= 0 )
        {
            contentUrl += "&nodeid=";
        }
        else
        {
            contentUrl += "?nodeid=";
        }
        this.ltlScript.Text += ScriptHelper.GetScript("var contentUrl='" + contentUrl + "';");
    }
}

