set identity_insert [cms_query] on
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 1, 0, N'selectdocumenthistory', 513, N'SELECT CMS_VersionHistory.*, CMS_User.Fullname + ''('' + CMS_User.Username + '')'' AS ModifiedByUserFullName FROM CMS_VersionHistory LEFT OUTER JOIN CMS_User ON CMS_User.UserID = CMS_VersionHistory.ModifiedByuserID WHERE DocumentID = @DocumentID AND (##WHERE##) ORDER BY ##ORDERBY##', 214)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 1, 0, N'getfirststep', 558, N'SELECT TOP 1 * FROM CMS_WorkflowStep WHERE StepWorkflowID = @StepWorkflowID ORDER BY StepOrder ASC', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (1, 1, 1, N'removedependences', 559, N'Proc_CMS_VersionHistory_RemoveDependences', 214)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (1, 1, 1, N'initsteporders', 568, N'proc_CMS_WorkflowStep_InitStepOrders', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (1, 1, 1, N'movestepup', 569, N'proc_CMS_WorkflowStep_MoveStepUp', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (1, 1, 1, N'movestepdown', 570, N'proc_CMS_WorkflowStep_MoveStepDown', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 1, 1, N'deleteolderversions', 587, N'DELETE FROM CMS_WorkflowHistory WHERE VersionHistoryID IN (SELECT VersionHistoryID FROM CMS_VersionHistory WHERE DocumentID = @DocumentID AND VersionHistoryID NOT IN (SELECT TOP ##WHERE## VersionHistoryID FROM CMS_VersionHistory WHERE DocumentID = @DocumentID ORDER BY VersionHistoryID DESC)); DELETE FROM CMS_VersionHistory WHERE DocumentID = @DocumentID AND VersionHistoryID NOT IN (SELECT TOP ##WHERE## VersionHistoryID FROM CMS_VersionHistory WHERE DocumentID = @DocumentID ORDER BY VersionHistoryID DESC) AND VersionHistoryID NOT IN (SELECT DocumentPublishedVersionHistoryID FROM CMS_Document WHERE DocumentID = @DocumentID AND DocumentPublishedVersionHistoryID IS NOT NULL);', 214)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectStepRoles', 588, N'SELECT * FROM CMS_WorkflowStepRoles WHERE StepID=@StepID', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 1, N'addRoleToStep', 589, N'INSERT INTO CMS_WorkflowStepRoles (RoleID,StepID) VALUES (@RoleID,@StepID)', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 1, N'removeRoleFromStep', 591, N'DELETE FROM CMS_WorkfLowStepRoles WHERE RoleID=@RoleId AND StepID=@StepID', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'update', 602, N'UPDATE CMS_PageTemplateCategory SET CategoryDisplayName = @CategoryDisplayName, CategoryParentID = @CategoryParentID WHERE CategoryID = @CategoryID', 405)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'insert', 603, N'INSERT INTO CMS_PageTemplateCategory (CategoryDisplayName , CategoryParentID) VALUES (@CategoryDisplayName, @CategoryParentID); SELECT @@identity AS [CategoryID]', 405)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectRecent', 611, N'SELECT CMS_Tree.*, CMS_Document.*, CMS_Class.ClassName, CMS_Class.ClassDisplayName, CMS_WorkflowStep.StepDisplayName FROM CMS_Tree LEFT JOIN CMS_Document ON CMS_Tree.NodeID = CMS_Document.DocumentNodeID LEFT JOIN CMS_Class ON CMS_Tree.NodeClassID=CMS_Class.ClassID LEFT OUTER JOIN CMS_WorkflowStep ON CMS_Document.DocumentWorkflowStepID=CMS_WorkflowStep.StepID WHERE ((CMS_Document.DocumentCreatedByUserID = @UserID OR CMS_Document.DocumentModifiedByUserID = @UserID OR CMS_Document.DocumentCheckedOutByUserID = @UserID) AND CMS_Tree.NodeSIteID=@SiteID) ORDER BY ##orderby##', 144)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectCheckedOut', 613, N'SELECT CMS_Tree.*, CMS_Document.*, CMS_Class.ClassName, CMS_Class.ClassDisplayName, CMS_WorkflowStep.StepDisplayName FROM CMS_Tree LEFT JOIN CMS_Document ON CMS_Tree.NodeID = CMS_Document.DocumentNodeID LEFT JOIN CMS_Class ON CMS_Tree.NodeClassID=CMS_Class.ClassID LEFT OUTER JOIN CMS_WorkflowStep ON CMS_Document.DocumentWorkflowStepID=CMS_WorkflowStep.StepID WHERE CMS_Document.DocumentCheckedOutByUserID = @UserID AND CMS_Tree.NodeSiteID=@SiteID ORDER BY ##orderby##', 144)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'update', 618, N'UPDATE [CMS_Layout] SET [LayoutCodeName] = @LayoutCodeName, [LayoutDisplayName] = @LayoutDisplayName, [LayoutDescription] = @LayoutDescription, [LayoutCode] = @LayoutCode WHERE [LayoutID] = @LayoutID', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'insert', 621, N'INSERT INTO [CMS_Layout] (LayoutCodeName, LayoutDisplayName, LayoutDescription, LayoutCode) VALUES (@LayoutCodeName, @LayoutDisplayName, @LayoutDescription, @LayoutCode); SELECT @@identity AS [LayoutID]', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectByCodeName', 622, N'SELECT  * FROM [CMS_Layout] WHERE LayoutCodeName = @LayoutCodeName', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectById', 624, N'SELECT * FROM [CMS_Layout] WHERE LayoutID = @LayoutID', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'delete', 625, N'DELETE FROM [CMS_Layout] WHERE LayoutID = @ID', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectall', 630, N'SELECT * FROM [CMS_Layout]  WHERE ##WHERE## ORDER BY ##ORDERBY##', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'update', 638, N'UPDATE [CMS_WebPartCategory] SET [CategoryDisplayName] = @CategoryDisplayName, [CategoryParentID] = @CategoryParentID WHERE [CategoryID] = @CategoryID;', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'insert', 640, N'INSERT INTO [CMS_WebPartCategory] (CategoryDisplayName, CategoryParentID) VALUES (@CategoryDisplayName, @CategoryParentID); SELECT @@identity AS [CategoryID]', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectByDisplayName', 642, N'SELECT * FROM [CMS_WebPartCategory] WHERE CategoryDisplayName = @CategoryDisplayName', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectById', 643, N'SELECT * FROM [CMS_WebPartCategory] WHERE CategoryID = @CategoryID', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'delete', 645, N'DELETE FROM [CMS_WebPartCategory] WHERE CategoryID = @ID', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectall', 658, N'SELECT * FROM [CMS_WebPart] WHERE ##WHERE## ORDER BY ##ORDERBY##', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'update', 660, N'UPDATE [CMS_WebPart] SET [WebPartName] = @WebPartName, [WebPartDisplayName] = @WebPartDisplayName, [WebPartDescription] = @WebPartDescription, [WebPartFileName] = @WebPartFileName, [WebPartProperties] = @WebPartProperties, [WebPartCategoryID] = @WebPartCategoryID WHERE [WebPartID] = @WebPartID', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'insert', 661, N'INSERT INTO [CMS_WebPart] (WebPartName,WebPartDisplayName,WebPartDescription,WebPartFileName,WebPartProperties,WebPartCategoryID) VALUES (@WebPartName,@WebPartDisplayName,@WebPartDescription,@WebPartFileName,@WebPartProperties,@WebPartCategoryID); SELECT @@identity AS WebPartID', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'select', 665, N'SELECT * FROM CMS_WebPart WHERE WebPartID = @Id', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'delete', 666, N'DELETE FROM CMS_WebPart WHERE WebPartID = @Id', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectByCategoryId', 667, N'SELECT * FROM CMS_WebPart WHERE WebPartCategoryID = @WebPartCategoryId', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (1, 0, 0, N'selectParentWithPageTemplate', 673, N'Proc_CMS_Tree_SelectParentWithPageTemplate', 143)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 1, 0, N'selectpublishedstep', 675, N'SELECT * FROM CMS_WorkflowStep WHERE StepName = ''published'' AND StepWorkflowID = @StepWorkflowID', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 1, 0, N'selectarchivedstep', 676, N'SELECT * FROM CMS_WorkflowStep WHERE StepName = ''archived'' AND StepWorkflowID = @StepWorkflowID', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'removedependencies', 683, N'UPDATE [CMS_PageTemplate] SET PageTemplateLayoutID=NULL WHERE PageTemplateLayoutID=@ID', 410)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectSubCategories', 685, N'SELECT COUNT(CategoryID) AS Expr1 FROM CMS_WebPartCategory WHERE (CategoryParentID = @Id)', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectpageinfo', 686, N'SELECT * FROM View_PageInfo WHERE (##WHERE##) ORDER BY ##ORDERBY##', 143)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectinparent', 713, N'SELECT * FROM CMS_WebPartCategory WHERE (CategoryParentID = @CategoryParentID) ORDER BY CategoryParentId, CategoryDisplayName', 424)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectincategory', 720, N'SELECT WebPartID, WebPartDisplayName FROM [CMS_WebPart] WHERE WebPartCategoryID = @WebPartCategoryID ORDER BY WebPartDisplayName', 425)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (1, 1, 1, N'removedependences', 729, N'Proc_CMS_Workflow_RemoveDependences', 171)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 1, N'deletestep', 732, N'DELETE FROM [CMS_WorkflowStepRoles] WHERE StepID = @StepID; DELETE FROM [CMS_WorkflowStep] WHERE StepID = @StepID', 172)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectdescendantcategories', 733, N'SELECT * FROM CMS_PageTemplateCategory WHERE CategoryParentID = @ParentCategoryID OR (@ParentCategoryID = 0 AND CategoryParentID IS NULL) ORDER BY CategoryDisplayName', 405)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectdescendanttemplates', 734, N'SELECT * FROM CMS_PageTemplate WHERE PageTemplateCategoryID = @ParentCategoryID OR (@ParentCategoryID = 0 AND  PageTemplateCategoryID IS NULL) ORDER BY PageTemplateDisplayName', 405)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'delete', 747, N'DELETE FROM CMS_PageTemplateCategory WHERE CategoryID = @ID', 405)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectall', 748, N'SELECT * FROM CMS_PageTemplateCategory WHERE ##WHERE## ORDER BY ##ORDERBY##', 405)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectincategory', 751, N'SELECT PageTemplateID, PageTemplateDisplayName, PageTemplateIsReusable FROM CMS_PageTemplate WHERE (PageTemplateCategoryID = @PageTemplateCategoryID) ORDER BY PageTemplateDisplayName', 157)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectinroot', 754, N'SELECT PageTemplateID, PageTemplateDisplayName, PageTemplateIsReusable FROM CMS_PageTemplate WHERE (PageTemplateCategoryID IS NULL) ORDER BY PageTemplateDisplayName', 157)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectbycode', 755, N'SELECT * FROM [CMS_UICulture] WHERE UICultureCode = @UICultureCode', 490)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'selectbyid', 756, N'SELECT * FROM [CMS_UICulture] WHERE UICultureID = @UICultureId', 490)
INSERT INTO [CMS_Query] ([QueryTypeID], [QueryIsLocked], [QueryRequiresTransaction], [QueryName], [QueryID], [QueryText], [ClassID]) VALUES (0, 0, 0, N'update', 757, N'UPDATE [CMS_UICulture] SET [UICultureCode] = @UICultureCode,  [UICultureName] = @UICultureName WHERE UICultureID = @UICultureId', 490)
set identity_insert [cms_query] off
