CREATE VIEW View_PageInfo
AS
SELECT     CMS_Tree.NodeID, CMS_Tree.NodeAliasPath, CMS_Tree.NodeName, CMS_Tree.NodeAlias, CMS_Tree.NodeClassID, 
                      CMS_Tree.NodeParentID, CMS_Tree.NodeLevel, CMS_Tree.NodeACLID, CMS_Tree.NodeSiteID, CMS_Tree.NodeGUID, 
                      CMS_Tree.NodeOrder, CMS_Document.DocumentID, CMS_Document.DocumentName, CMS_Document.DocumentNamePath, 
                      CMS_Document.DocumentPublishFrom, CMS_Document.DocumentPublishTo, CMS_Document.DocumentUrlPath, 
                      CMS_Document.DocumentProductID, CMS_Document.DocumentCulture, CMS_Document.DocumentPageTitle, 
                      CMS_Document.DocumentPageKeyWords, CMS_Document.DocumentPageDescription, CMS_Document.DocumentMenuCaption, 
                      CMS_Document.DocumentPageTemplateID, CMS_PageTemplate.PageTemplateID, CMS_PageTemplate.PageTemplateDisplayName, 
                      CMS_PageTemplate.PageTemplateDescription, CMS_PageTemplate.PageTemplateFile, CMS_PageTemplate.PageTemplateIsPortal, 
                      CMS_PageTemplate.PageTemplateCategoryID, CMS_PageTemplate.PageTemplateLayoutID, 
                      CMS_PageTemplate.PageTemplateWebParts, CMS_PageTemplate.PageTemplateIsReusable, CMS_Class.ClassName, 
                      CMS_Document.DocumentContent, CMS_PageTemplate.PageTemplateCodeName, CMS_Document.DocumentStylesheetID, 
                      CMS_Tree.IsSecuredNode, CMS_Document.DocumentMenuRedirectUrl, CMS_PageTemplate.PageTemplateInheritPageLevels, 
                      CMS_PageTemplate.PageTemplateShowAsMasterTemplate, CMS_Document.DocumentMenuJavascript, 
                      CMS_Tree.NodeCacheMinutes
FROM         CMS_Tree INNER JOIN
                      CMS_Document ON CMS_Document.DocumentNodeID = CMS_Tree.NodeID INNER JOIN
                      CMS_Class ON CMS_Tree.NodeClassID = CMS_Class.ClassID LEFT OUTER JOIN
                      CMS_PageTemplate ON CMS_Document.DocumentPageTemplateID = CMS_PageTemplate.PageTemplateID
