<%@ Page Language="C#" AutoEventWireup="true" CodeFile="CssStylesheet_General.aspx.cs"
    Inherits="CMSSiteManager_Development_CssStylesheets_CssStylesheet_General" Theme="Default" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>

<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Css stylesheets - new</title>
    <style type="text/css">
        body
        {
            margin: 0px;
            padding: 0px;
            height: 100%;
        }
    </style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="TabsPageBody">
            <asp:Panel runat="server" ID="pnlScroll" SkinID="TabsPageScrollArea">
                <asp:Panel ID="pnlUsers" runat="server" SkinID="TabsPageContent">
                    <asp:Panel ID="pnlTitle" runat="server" SkinID="PageHeader">
                        <uc1:PageTitle ID="PageTitle1" runat="server" />
                    </asp:Panel>
                    <asp:Panel ID="pnlNewRelationshipName" runat="server" SkinID="PageContent">
                        <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                            Visible="false" />
                        <asp:Label runat="server" ID="lblError" ForeColor="red" EnableViewState="false" Visible="false" />
                        <table>
                            <tr>
                                <td>
                                    <asp:Label ID="lblCssStylesheetDisplayName" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtCssStylesheetDisplayName" runat="server" SkinID="TextboxField"
                                        MaxLength="200"></asp:TextBox><br />
                                    <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" EnableViewState="false"
                                        ControlToValidate="txtCssStylesheetDisplayName" Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td>
                                    <asp:Label ID="lblCssStylesheetName" runat="server" EnableViewState="False"></asp:Label>
                                </td>
                                <td>
                                    <asp:TextBox ID="txtCssStylesheetName" runat="server" SkinID="TextboxField" MaxLength="200"></asp:TextBox><br />
                                    <asp:RequiredFieldValidator ID="rfvName" runat="server" EnableViewState="false" ControlToValidate="txtCssStylesheetName"
                                        Display="dynamic" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <asp:Label ID="lblCssStylesheetText" runat="server"></asp:Label></td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <cc1:ExtendedTextArea ID="txtCssStylesheetText" runat="server" SkinID="TextAreaField" Height="330px"
                                        TextMode="MultiLine" Width="770px"></cc1:ExtendedTextArea><br />
                                    <asp:RequiredFieldValidator ID="rfvText" runat="server" ControlToValidate="txtCssStylesheetText"
                                        Display="Dynamic"></asp:RequiredFieldValidator></td>
                            </tr>
                            
                            <tr>
                                <td>
                                </td>
                                <td>
                                    <asp:Button ID="btnOK" runat="server" SkinID="ContentButton" EnableViewState="false"
                                        OnClick="btnOK_Click" />
                                </td>
                            </tr>
                        </table>
                    </asp:Panel>
                </asp:Panel>
            </asp:Panel>
        </asp:Panel>
    </form>
</body>
</html>
