<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Container_Edit.aspx.cs" Inherits="CMSSiteManager_Development_WebContainer_Container_Edit"
    Theme="Default" ValidateRequest="false" %>

<%@ Register Assembly="CMS.ExtendedControls" Namespace="CMS.ExtendedControls" TagPrefix="cc1" %>
<%@ Register Src="../../../CMSAdminControls/PageTitle.ascx" TagName="PageTitle" TagPrefix="uc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Container properties</title>
    <style type="text/css">
		body
		{
			margin: 0px;
			padding: 0px;
			height:100%; 
		}
	</style>
</head>
<body class="<%=mBodyClass%>">
    <form id="form1" runat="server">
        <asp:Panel ID="pnlBody" runat="server" SkinID="PageBody">
            <asp:Panel ID="pnlHeader" runat="server" SkinID="PageHeader">
                <uc1:PageTitle ID="PageTitle" runat="server" />
            </asp:Panel>
            <asp:Panel ID="pblContent" runat="server" SkinID="PageContent">
                <asp:Label runat="server" ID="lblInfo" SkinID="Information" EnableViewState="false"
                    Visible="false" />
                <asp:Label runat="server" ID="lblError" SkinID="ErrorLabel" EnableViewState="false"
                    Visible="false" />
                <table style="vertical-align: top">
                    <tr>
                        <td style="vertical-align: top; padding-top: 5px" class="FieldLabel">
                            <asp:Label runat="server" ID="lblContainerDisplayName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtContainerDisplayName" runat="server" SkinID="TextboxField" MaxLength="200"
                                ControlToValidate="txtContainerDisplayName" />
                            <asp:RequiredFieldValidator ID="rfvDisplayName" runat="server" ControlToValidate="txtContainerDisplayName" /></td>
                    </tr>
                    <tr>
                        <td style="vertical-align: top; padding-top: 5px" class="FieldLabel">
                            <asp:Label runat="server" ID="lblContainerName" EnableViewState="false" /></td>
                        <td>
                            <asp:TextBox ID="txtContainerName" runat="server" SkinID="TextboxField" MaxLength="200" />
                            <asp:RequiredFieldValidator ID="rfvCodeName" runat="server" ControlToValidate="txtContainerName" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblContainerTextBefore" EnableViewState="false" /></td>
                        <td>
                            <cc1:ExtendedTextArea ID="txtContainerTextBefore" runat="server" TextMode="MultiLine"  CssClass="TextAreaCode" /></td>
                    </tr>
                    <tr>
                        <td class="FieldLabel">
                            <asp:Label runat="server" ID="lblContainerTextAfter" EnableViewState="false" /></td>
                        <td>
                            <cc1:ExtendedTextArea ID="txtContainerTextAfter" runat="server" TextMode="MultiLine" CssClass="TextAreaCode" />
                        </td>
                    </tr>
                    <tr>
                        <td>
                        </td>
                        <td>
                            <br />
                            <asp:Button runat="server" ID="btnOK" OnClick="btnOK_Click" EnableViewState="false"
                                SkinID="ContentButton" /></td>
                    </tr>
                </table>
            </asp:Panel>
        </asp:Panel>
        &nbsp;
    </form>
</body>
</html>
